Added

API Changelog 7.27.1

Added

  • Enhanced document details with a lock property, allowing you to programmatically determine if a document is currently locked.

GET /public/v1/documents/{id}/details

  • added the optional property lock to the response with the 200 status

Changed

  • Improved error handling across various document modification and management endpoints by introducing the 423 Locked HTTP status code. Your application can now detect when a requested operation cannot be performed because the document is locked.

POST /public/v1/documents/{document_id}/sections/uploads

  • added the non-success response with the status 423

POST /public/v1/documents/{document_id}/sections/uploads?upload

  • added the non-success response with the status 423

DELETE /public/v1/documents/{document_id}/sections/{section_id}

  • added the non-success response with the status 423

DELETE /public/v1/documents/{id}

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/append-content-library-item

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/attachments

  • added the non-success response with the status 423

DELETE /public/v1/documents/{id}/attachments/{attachment_id}

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/attachments?upload

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/draft

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}/fields

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/fields

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/linked-objects

  • added the non-success response with the status 423

DELETE /public/v1/documents/{id}/linked-objects/{linked_object_id}

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/move-to-folder/{folder_id}

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}/ownership

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/recipients

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}/recipients/recipient/{recipient_id}

  • added the non-success response with the status 423

DELETE /public/v1/documents/{id}/recipients/{recipient_id}

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/recipients/{recipient_id}/reassign

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/send

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}/status

  • added the non-success response with the status 423

PATCH /public/v1/documents/{id}/status?upload

  • added the non-success response with the status 423

POST /public/v1/documents/{id}/linked-objects

  • added the non-success response with the status 409